Subject: Warning "No such language bytecode" when pulling guix.

From: Fis Trivial <[email-masked]>
Date: Wed, 21 Mar 2018 20:22:05 +0000

$ guix pull

---
Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from Git commit e2f9847be0d1fcde201b3ec01f68a9cbdda230a0...
The following derivation will be built:
   /gnu/store/15ncl8zii4kvixwyqqm94v6nzvc3j9z4-guix-latest.drv
copying and compiling to '/gnu/store/6kp539k2839870w3r7cmg5j8ryj5w98m-guix-latest' with Guile 2.2.3...
loading...	 25.8% of 675 filesrandom seed for tests: 1521662834
compiling...	 89.9% of 675 filesIn thread:
no such language bytecode
In thread:
In procedure lambda: bad lambda
compiling...	 90.1% of 675 filesIn thread:
no such language scheme
compiling...	 90.2% of 675 filesIn thread:
no such language scheme
compiling...	 90.4% of 675 filesIn thread:
no such language scheme
compiling...	 90.5% of 675 filesIn thread:
no such language scheme
compiling...	 90.7% of 675 filesIn thread:
no such language scheme
compiling...	 90.8% of 675 filesIn thread:
no such language scheme
compiling...	100.0% of 675 files

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
updated GNU Guix successfully deployed under `/home/fis/.config/guix/latest'
---

The build was successful, but the I think I should report it for those
error message.

I'm currently runing guix on Fedora 27, x86_64.
This was actually the forth time of successive pull, due to previous
failures, which is mentioned in another bug report[1]:
---
compiling...	100.0% of 675 files
Backtrace:
Exception thrown while printing backtrace:
In procedure public-lookup: Module named (system repl debug) does not exist
---

[1]:https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30602